Rhome {base} | R Documentation

## Return the R Home Directory

### Description

Return the R home directory.

### Usage

    R.home(component="home")

### Arguments

`component` | As well as `"home"` which gives the R home directory, other known values are `"bin"`, `"doc"`, `"etc"` and `"share"` giving the paths to the corresponding parts of an R installation.

### Details

The R home directory is the top-level directory of the R installation being run.

The R home directory is often referred to as R_HOME, and is the value of an environment variable of that name in an R session. It can be found outside an R session by `R RHOME`.

### Value

A character string giving the R home directory or path to a particular component. Normally the components are all subdirectories of the R home directory, but this may not be the case in a Unix-like installation.

[Package base version 2.8.1 Index]